Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## chrriis.dj.nativeswing.swtimpl.components.win32
Class JWMediaPlayer

    java.lang.Object
      java.awt.Component
          java.awt.Container
              javax.swing.JComponent
                  javax.swing.JPanel
                      chrriis.dj.nativeswing.swtimpl.NSPanelComponent
                          chrriis.dj.nativeswing.swtimpl.components.win32.JWMediaPlayer

All Implemented Interfaces:
  NSComponent, ImageObserver, MenuContainer, Serializable, Accessible

    public class JWMediaPlayer

extends NSPanelComponent

A multimedia player, based on the Window Media Player (only avaialable on the Windows operating system).
Methods execute when this component is initialized. If the component is not initialized, methods will be executed as soon as it gets initialized. If the initialization fails, the methods will not have any effect. The results from methods have relevant values only when the component is valid.

Author:
  Christopher Deckers
See Also:
  Serialized Form

Nested Class Summary
`static class` | `JWMediaPlayer.WMPMediaState` The state of a media.

Nested classes/interfaces inherited from class javax.swing.JPanel
`JPanel.AccessibleJPanel`

Nested classes/interfaces inherited from class javax.swing.JComponent
`JComponent.AccessibleJComponent`

Nested classes/interfaces inherited from class java.awt.Container
`Container.AccessibleAWTContainer`

Nested classes/interfaces inherited from class java.awt.Component
`Component.AccessibleAWTComponent, Component.BaselineResizeBehavior, Component.BltBufferStrategy, Component.FlipBufferStrategy`

Field Summary

Fields inherited from class javax.swing.JComponent
`accessibleContext, listenerList, TOOL_TIP_TEXT_KEY, ui, UNDEFINED_CONDITION, WHEN_ANCESTOR_OF_FOCUSED_COMPONENT, WHEN_FOCUSED, WHEN_IN_FOCUSED_WINDOW`

Fields inherited from class java.awt.Component
`BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

Fields inherited from interface java.awt.image.ImageObserver
`ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

Constructor Summary
`JWMediaPlayer(NSOption... options)` Construct a Windows Media Player.

Method Summary
`protected void` | `finalize()`
`JWMediaPlayer.WMPMediaState` | `getMediaState()` Get the state of the media.
`WMPControls` | `getWMPControls()` Get the Media Player object responsible for controls-related actions.
`WMPMedia` | `getWMPMedia()` Get the Media Player object responsible for media-related actions.
`WMPSettings` | `getWMPSettings()` Get the Media Player object responsible for settings-related actions.
`boolean` | `isControlBarVisible()` Indicate whether the control bar is visible.
`boolean` | `isFullScreen()` Indicate whether the video is in full screen mode.
`boolean` | `isStretchToFit()` Indicate whether the video is stretched to fit.
`void` | `load(Class<?> clazz, String resourcePath)` Load a file from the classpath.
`void` | `load(String resourcePath)` Load a file.
`void` | `setControlBarVisible(boolean isControlBarVisible)` Set whether the control bar is visible.
`void` | `setFullScreen(boolean isFullScreen)` Set whether the video is playing in full screen mode.
`void` | `setStretchToFit(boolean isStretchToFit)` Set whether the video is stretched to fit.

Methods inherited from class chrriis.dj.nativeswing.swtimpl.NSPanelComponent
`constrainVisibility, destroyOnFinalization, disposeNativePeer, getNativeComponent, initialize, initializeNativePeer, isNativePeerDisposed, isNativePeerInitialized, isNativePeerValid, proxyComponentHierarchy, runInSequence`

Methods inherited from class javax.swing.JPanel
`getAccessibleContext, getUI, getUIClassID, paramString, setUI, updateUI`

Methods inherited from class javax.swing.JComponent
`addAncestorListener, addNotify, addVetoableChangeListener, computeVisibleRect, contains, createToolTip, disable, enable, firePropertyChange, firePropertyChange, firePropertyChange, fireVetoableChange, getActionForKeyStroke, getActionMap, getAlignmentX, getAlignmentY, getAncestorListeners, getAutoscrolls, getBaseline, getBaselineResizeBehavior, getBorder, getBounds, getClientProperty, getComponentGraphics, getComponentPopupMenu, getConditionForKeyStroke, getDebugGraphicsOptions, getDefaultLocale, getFontMetrics, getGraphics, getHeight, getInheritsPopupMenu, getInputMap, getInputMap, getInputVerifier, getInsets, getInsets, getListeners, getLocation, getMaximumSize, getMinimumSize, getNextFocusableComponent, getPopupLocation, getPreferredSize, getRegisteredKeyStrokes, getRootPane, getSize, getToolTipLocation, getToolTipText, getToolTipText, getTopLevelAncestor, getTransferHandler, getVerifyInputWhenFocusTarget, getVetoableChangeListeners, getVisibleRect, getWidth, getX, getY, grabFocus, isDoubleBuffered, isLightweightComponent, isManagingFocus, isOpaque, isOptimizedDrawingEnabled, isPaintingForPrint, isPaintingTile, isRequestFocusEnabled, isValidateRoot, paint, paintBorder, paintChildren, paintComponent, paintImmediately, paintImmediately, print, printAll, printBorder, printChildren, printComponent, processComponentKeyEvent, processKeyBinding, processKeyEvent, processMouseEvent, processMouseMotionEvent, putClientProperty, registerKeyboardAction, registerKeyboardAction, removeAncestorListener, removeNotify, removeVetoableChangeListener, repaint, repaint, requestDefaultFocus, requestFocus, requestFocus, requestFocusInWindow, requestFocusInWindow, resetKeyboardActions, reshape, revalidate, scrollRectToVisible, setActionMap, setAlignmentX, setAlignmentY, setAutoscrolls, setBackground, setBorder, setComponentPopupMenu, setDebugGraphicsOptions, setDefaultLocale, setDoubleBuffered, setEnabled, setFocusTraversalKeys, setFont, setForeground, setInheritsPopupMenu, setInputMap, setInputVerifier, setMaximumSize, setMinimumSize, setNextFocusableComponent, setOpaque, setPreferredSize, setRequestFocusEnabled, setToolTipText, setTransferHandler, setUI, setVerifyInputWhenFocusTarget, setVisible, unregisterKeyboardAction, update`

Methods inherited from class java.awt.Container
`add, add, add, add, add, addContainerListener, addImpl, addPropertyChangeListener, addPropertyChangeListener, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getComponentZOrder, getContainerListeners, getFocusTraversalKeys, getFocusTraversalPolicy, getLayout, getMousePosition, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusCycleRoot, isFocusTraversalPolicyProvider, isFocusTraversalPolicySet, layout, list, list, locate, minimumSize, paintComponents, preferredSize, printComponents, processContainerEvent, processEvent, remove, remove, removeAll, removeContainerListener, setComponentZOrder, setFocusCycleRoot, setFocusTraversalPolicy, setFocusTraversalPolicyProvider, setLayout, transferFocusBackward, transferFocusDownCycle, validate, validateTree`

Methods inherited from class java.awt.Component
`action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, coalesceEvents, contains, createImage, createImage, createVolatileImage, createVolatileImage, disableEvents, dispatchEvent, enable, enableEvents, enableInputMethods, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getBackground, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusCycleRootAncestor, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getForeground, getGraphicsConfiguration, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputContext, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocale, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMousePosition, getMouseWheelListeners, getName, getParent, getPeer, getPropertyChangeListeners, getPropertyChangeListeners, getSize, getToolkit, getTreeLock, gotFocus, handleEvent, hasFocus, hide, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isMaximumSizeSet, isMinimumSizeSet, isPreferredSizeSet, isShowing, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, postEvent, prepareImage, prepareImage, processComponentEvent, processFocusEvent, processHierarchyBoundsEvent, processHierarchyEvent, processInputMethodEvent, processMouseWheelEvent, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, resize, resize, setBounds, setBounds, setComponentOrientation, setCursor, setDropTarget, setFocusable, setFocusTraversalKeysEnabled, setIgnoreRepaint, setLocale, setLocation, setLocation, setName, setSize, setSize, show, show, size, toString, transferFocus, transferFocusUpCycle`

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### JWMediaPlayer

    public JWMediaPlayer(NSOption... options)

  Construct a Windows Media Player.

  Parameters:
    `options` - the options to configure the behavior of this component.

Method Detail

### getWMPSettings

    public WMPSettings getWMPSettings()

  Get the Media Player object responsible for settings-related actions.

  Returns:
    the Media Player settings object.

### getWMPControls

    public WMPControls getWMPControls()

  Get the Media Player object responsible for controls-related actions.

  Returns:
    the Media Player controls object.

### getWMPMedia

    public WMPMedia getWMPMedia()

  Get the Media Player object responsible for media-related actions.

  Returns:
    the Media Player media object.

### load

    public void load(String resourcePath)

  Load a file.

  Parameters:
    `resourcePath` - the path or URL to the file.

### load

    public void load(Class<?> clazz,
                     String resourcePath)

  Load a file from the classpath.

  Parameters:
    `clazz` - the reference clazz of the file to load.
    `resourcePath` - the path to the file.

### setControlBarVisible

    public void setControlBarVisible(boolean isControlBarVisible)

  Set whether the control bar is visible.

  Parameters:
    `isControlBarVisible` - true if the control bar should be visible, false otherwise.

### isControlBarVisible

    public boolean isControlBarVisible()

  Indicate whether the control bar is visible.

  Returns:
    true if the control bar is visible.

### setFullScreen

    public void setFullScreen(boolean isFullScreen)

  Set whether the video is playing in full screen mode.

  Parameters:
    `isFullScreen` - true if the full screen mode should be active, false otherwise.

### isFullScreen

    public boolean isFullScreen()

  Indicate whether the video is in full screen mode.

  Returns:
    true if the video is in full screen mode.

### setStretchToFit

    public void setStretchToFit(boolean isStretchToFit)

  Set whether the video is stretched to fit.

  Parameters:
    `isStretchToFit` - true if the video is stretched to fit, false otherwise.

### isStretchToFit

    public boolean isStretchToFit()

  Indicate whether the video is stretched to fit.

  Returns:
    true if the video is stretched to fit.

### getMediaState

    public JWMediaPlayer.WMPMediaState getMediaState()

  Get the state of the media.

  Returns:
    the state of the media.

### finalize

    protected void finalize()
                     throws Throwable

  Overrides:
    `finalize` in class `Object`
  Throws:
    `Throwable`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD